Index: trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser
===================================================================
--- trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser	(revision 36)
+++ trunk/Cocoa/Pester/Source/Pester.pbproj/nicholas.pbxuser	(revision 39)
@@ -10222,55 +13954,115 @@
 		vrLoc = 0;
 	};
-	F5F19931036D4BBC01EB0372 = {
-		fRef = F5F19A77036D4BBD01EB0372;
-		isa = PBXTextBookmark;
-		name = "NSMovie.h: 26";
-		rLen = 0;
-		rLoc = 629;
-		rType = 0;
-		vrLen = 793;
-		vrLoc = 0;
-	};
-	F5F19932036D4BBC01EB0372 = {
-		fRef = F5F19A78036D4BBD01EB0372;
-		isa = PBXTextBookmark;
-		name = "NSGeometry.h: 12";
-		rLen = 0;
+	F5F19A52036D4BBC01EB0372 = {
+		fRef = F59DC6DB0353DE5101AEEDB1;
+		isa = PBXTextBookmark;
+		name = "PSAlarmNotifierController.h: 13";
+		rLen = 60;
 		rLoc = 207;
 		rType = 0;
-		vrLen = 722;
-		vrLoc = 0;
-	};
-	F5F19933036D4BBC01EB0372 = {
-		fRef = F5F19A79036D4BBD01EB0372;
-		isa = PBXTextBookmark;
-		name = "NSMovieView.h: 86";
-		rLen = 0;
-		rLoc = 1866;
-		rType = 0;
-		vrLen = 799;
-		vrLoc = 1288;
-	};
-	F5F19934036D4BBC01EB0372 = {
-		fRef = F59E47C1036B1ADD016B311C;
-		isa = PBXTextBookmark;
-		name = "PSMovieAlertController.h: 24";
-		rLen = 0;
-		rLoc = 602;
-		rType = 0;
-		vrLen = 608;
-		vrLoc = 0;
-	};
-	F5F19935036D4BBC01EB0372 = {
-		fRef = F5F19A7A036D4BBD01EB0372;
-		isa = PBXTextBookmark;
-		name = "NSDrawer.h: 77";
-		rLen = 37;
-		rLoc = 1934;
-		rType = 0;
-		vrLen = 786;
-		vrLoc = 1537;
-	};
-	F5F19936036D4BBC01EB0372 = {
+		vrLen = 430;
+		vrLoc = 0;
+	};
+	F5F19A53036D4BBC01EB0372 = {
+		fRef = F59DC6DC0353DE5101AEEDB1;
+		isa = PBXTextBookmark;
+		name = "PSAlarmNotifierController.m: 24";
+		rLen = 0;
+		rLoc = 680;
+		rType = 0;
+		vrLen = 729;
+		vrLoc = 0;
+	};
+	F5F19A54036D4BBC01EB0372 = {
+		fRef = F59DC6D40353C9E601AEEDB1;
+		isa = PBXTextBookmark;
+		name = "PSAlarmSetController.m: control:didFailToValidatePartialString:errorDescription:";
+		rLen = 0;
+		rLoc = 11193;
+		rType = 0;
+		vrLen = 1131;
+		vrLoc = 10790;
+	};
+	F5F19A55036D4BBC01EB0372 = {
+		fRef = F59DC6DC0353DE5101AEEDB1;
+		isa = PBXTextBookmark;
+		name = "PSAlarmNotifierController.m: 11";
+		rLen = 0;
+		rLoc = 236;
+		rType = 0;
+		vrLen = 813;
+		vrLoc = 0;
+	};
+	F5F19A56036D4BBC01EB0372 = {
+		fRef = F59DC6D40353C9E601AEEDB1;
+		isa = PBXTextBookmark;
+		name = "PSAlarmSetController.m: control:didFailToValidatePartialString:errorDescription:";
+		rLen = 0;
+		rLoc = 11193;
+		rType = 0;
+		vrLen = 1131;
+		vrLoc = 10790;
+	};
+	F5F19A57036D4BBC01EB0372 = {
+		fRef = F59E47C0036B1ADD016B311C;
+		isa = PBXTextBookmark;
+		name = "PSMovieAlertController.m: initWithAlarm:movieAlert:";
+		rLen = 0;
+		rLoc = 2545;
+		rType = 0;
+		vrLen = 1115;
+		vrLoc = 1130;
+	};
+	F5F19A58036D4BBC01EB0372 = {
+		fRef = F5F19870036B822E01EB0372;
+		isa = PBXTextBookmark;
+		name = "NJRVoicePopUpButton.m: _previewVoice";
+		rLen = 0;
+		rLoc = 2663;
+		rType = 0;
+		vrLen = 720;
+		vrLoc = 2663;
+	};
+	F5F19A59036D4BBC01EB0372 = {
+		fRef = F59E47C0036B1ADD016B311C;
+		isa = PBXTextBookmark;
+		name = "PSMovieAlertController.m: dealloc";
+		rLen = 0;
+		rLoc = 2859;
+		rType = 0;
+		vrLen = 1114;
+		vrLoc = 1130;
+	};
+	F5F19A5A036D4BBC01EB0372 = {
+		fRef = F59DC6D40353C9E601AEEDB1;
+		isa = PBXTextBookmark;
+		name = "PSAlarmSetController.m: control:didFailToValidatePartialString:errorDescription:";
+		rLen = 0;
+		rLoc = 11193;
+		rType = 0;
+		vrLen = 1131;
+		vrLoc = 10790;
+	};
+	F5F19A5B036D4BBC01EB0372 = {
+		fRef = F5F240CC036A877301FE7503;
+		isa = PBXTextBookmark;
+		name = "NJRSoundPopUpButton.m: 22";
+		rLen = 0;
+		rLoc = 2343;
+		rType = 0;
+		vrLen = 1252;
+		vrLoc = 294;
+	};
+	F5F19A5C036D4BBC01EB0372 = {
+		fRef = F59E47B4036AAD55016B311C;
+		isa = PBXTextBookmark;
+		name = "PSAlarmAlertController.m: 13";
+		rLen = 22;
+		rLoc = 294;
+		rType = 0;
+		vrLen = 947;
+		vrLoc = 0;
+	};
+	F5F19A5D036D4BBC01EB0372 = {
 		fRef = F59F6CB50354E7DA01AEEDB1;
 		isa = PBXTextBookmark;
@@ -10282,43 +14074,5 @@
 		vrLoc = 0;
 	};
-	F5F19937036D4BBC01EB0372 = {
-		fRef = F5F19A7B036D4BBD01EB0372;
-		isa = PBXTextBookmark;
-		name = "NSView.h: 144";
-		rLen = 43;
-		rLoc = 4641;
-		rType = 0;
-		vrLen = 1371;
-		vrLoc = 3889;
-	};
-	F5F19938036D4BBC01EB0372 = {
-		fRef = F5F19A7C036D4BBD01EB0372;
-		isa = PBXBookmark;
-	};
-	F5F19939036D4BBC01EB0372 = {
-		fRef = F5F19A7D036D4BBD01EB0372;
-		isa = PBXBookmark;
-	};
-	F5F1993A036D4BBC01EB0372 = {
-		fRef = F5F19A7E036D4BBD01EB0372;
-		isa = PBXTextBookmark;
-		name = "NSScreen.h: 31";
-		rLen = 12;
-		rLoc = 683;
-		rType = 0;
-		vrLen = 809;
-		vrLoc = 0;
-	};
-	F5F1993B036D4BBC01EB0372 = {
-		fRef = F5F19A7F036D4BBD01EB0372;
-		isa = PBXTextBookmark;
-		name = "NSWindow.h: 85";
-		rLen = 0;
-		rLoc = 2545;
-		rType = 0;
-		vrLen = 1422;
-		vrLoc = 1981;
-	};
-	F5F1993C036D4BBC01EB0372 = {
+	F5F19A5E036D4BBC01EB0372 = {
 		fRef = F59E47C0036B1ADD016B311C;
 		isa = PBXTextBookmark;
@@ -10330,15 +14084,125 @@
 		vrLoc = 2080;
 	};
-	F5F1993D036D4BBC01EB0372 = {
-		fRef = F5F2418A036A910B01FE7503;
-		isa = PBXTextBookmark;
-		name = "SoundFileManager.h: setType:";
-		rLen = 0;
-		rLoc = 1154;
-		rType = 0;
-		vrLen = 907;
-		vrLoc = 460;
-	};
-	F5F1993E036D4BBC01EB0372 = {
+	F5F19A5F036D4BBC01EB0372 = {
+		fRef = F5F240B5036A862101FE7503;
+		isa = PBXTextBookmark;
+		name = "NJRFSObjectSelector.m: image:bestFitForSize:";
+		rLen = 1;
+		rLoc = 2241;
+		rType = 0;
+		vrLen = 1767;
+		vrLoc = 2191;
+	};
+	F5F19A60036D4BBC01EB0372 = {
+		fRef = F5F1990D036D3B3101EB0372;
+		isa = PBXTextBookmark;
+		name = "NSImage-NJRExtensions.m: 12";
+		rLen = 0;
+		rLoc = 237;
+		rType = 0;
+		vrLen = 244;
+		vrLoc = 0;
+	};
+	F5F19A61036D4BBC01EB0372 = {
+		fRef = F5F1990E036D3B3101EB0372;
+		isa = PBXTextBookmark;
+		name = "NSImage-NJRExtensions.h: 12";
+		rLen = 0;
+		rLoc = 224;
+		rType = 0;
+		vrLen = 239;
+		vrLoc = 0;
+	};
+	F5F19A62036D4BBC01EB0372 = {
+		fRef = F5F240B5036A862101FE7503;
+		isa = PBXTextBookmark;
+		name = "NJRFSObjectSelector.m: acceptsPath:";
+		rLen = 0;
+		rLoc = 2241;
+		rType = 0;
+		vrLen = 1462;
+		vrLoc = 1590;
+	};
+	F5F19A63036D4BBC01EB0372 = {
+		fRef = F5F1990D036D3B3101EB0372;
+		isa = PBXTextBookmark;
+		name = "NSImage-NJRExtensions.m: 14";
+		rLen = 52;
+		rLoc = 239;
+		rType = 0;
+		vrLen = 1465;
+		vrLoc = 31;
+	};
+	F5F19A64036D4BBC01EB0372 = {
+		fRef = F5F1990E036D3B3101EB0372;
+		isa = PBXTextBookmark;
+		name = "NSImage-NJRExtensions.h: 14";
+		rLen = 0;
+		rLoc = 226;
+		rType = 0;
+		vrLen = 292;
+		vrLoc = 0;
+	};
+	F5F19A65036D4BBC01EB0372 = {
+		fRef = F5F240B5036A862101FE7503;
+		isa = PBXTextBookmark;
+		name = "NJRFSObjectSelector.m: openPanelDidEnd:returnCode:contextInfo:";
+		rLen = 146;
+		rLoc = 4684;
+		rType = 0;
+		vrLen = 1647;
+		vrLoc = 3837;
+	};
+	F5F19A66036D4BBC01EB0372 = {
+		fRef = F59DC6D40353C9E601AEEDB1;
+		isa = PBXTextBookmark;
+		name = "PSAlarmSetController.m: control:didFailToValidatePartialString:errorDescription:";
+		rLen = 0;
+		rLoc = 11193;
+		rType = 0;
+		vrLen = 1131;
+		vrLoc = 10790;
+	};
+	F5F19A67036D4BBC01EB0372 = {
+		fRef = F59E47C0036B1ADD016B311C;
+		isa = PBXTextBookmark;
+		name = "PSMovieAlertController.m: initWithAlarm:movieAlert:";
+		rLen = 0;
+		rLoc = 2499;
+		rType = 0;
+		vrLen = 1190;
+		vrLoc = 2080;
+	};
+	F5F19A68036D4BBC01EB0372 = {
+		fRef = F5F240CC036A877301FE7503;
+		isa = PBXTextBookmark;
+		name = "NJRSoundPopUpButton.m: 22";
+		rLen = 0;
+		rLoc = 2343;
+		rType = 0;
+		vrLen = 1252;
+		vrLoc = 294;
+	};
+	F5F19A69036D4BBC01EB0372 = {
+		fRef = F5F240CD036A877301FE7503;
+		isa = PBXTextBookmark;
+		name = "NJRSoundPopUpButton.h: stopSoundPreview:";
+		rLen = 41;
+		rLoc = 436;
+		rType = 0;
+		vrLen = 394;
+		vrLoc = 0;
+	};
+	F5F19A6A036D4BBC01EB0372 = {
+		fRef = F5F240CC036A877301FE7503;
+		isa = PBXTextBookmark;
+		name = "NJRSoundPopUpButton.m: 12";
+		rLen = 34;
+		rLoc = 256;
+		rType = 0;
+		vrLen = 1061;
+		vrLoc = 0;
+	};
+	F5F19A6B036D4BBC01EB0372 = {
 		fRef = F5F240B5036A862101FE7503;
 		isa = PBXTextBookmark;
@@ -10350,46 +14214,16 @@
 		vrLoc = 3871;
 	};
-	F5F1993F036D4BBC01EB0372 = {
-		fRef = F5F19A80036D4BBD01EB0372;
-		isa = PBXTextBookmark;
-		name = "NSPopUpButton.h: 14";
-		rLen = 8;
-		rLoc = 274;
-		rType = 0;
-		vrLen = 958;
-		vrLoc = 0;
-	};
-	F5F19940036D4BBC01EB0372 = {
-		fRef = F5F1990D036D3B3101EB0372;
-		isa = PBXTextBookmark;
-		name = "NSImage-NJRExtensions.m: bestFitImageForSize:";
-		rLen = 0;
-		rLoc = 1579;
-		rType = 0;
-		vrLen = 1361;
-		vrLoc = 0;
-	};
-	F5F19941036D4BBC01EB0372 = {
-		fRef = F5F1990E036D3B3101EB0372;
-		isa = PBXTextBookmark;
-		name = "NSImage-NJRExtensions.h: 9";
-		rLen = 0;
-		rLoc = 184;
-		rType = 0;
-		vrLen = 284;
-		vrLoc = 0;
-	};
-	F5F19942036D4BBC01EB0372 = {
-		fRef = F5F19A81036D4BBD01EB0372;
-		isa = PBXTextBookmark;
-		name = "NSImageView.h: 24";
-		rLen = 54;
-		rLoc = 499;
-		rType = 0;
-		vrLen = 790;
-		vrLoc = 0;
-	};
-	F5F19943036D4BBC01EB0372 = {
-		fRef = F5F19A82036D4BBD01EB0372;
+	F5F19A6C036D4BBC01EB0372 = {
+		fRef = F5F240CC036A877301FE7503;
+		isa = PBXTextBookmark;
+		name = "NJRSoundPopUpButton.m: stopSoundPreview:";
+		rLen = 0;
+		rLoc = 10339;
+		rType = 0;
+		vrLen = 860;
+		vrLoc = 4184;
+	};
+	F5F19A6D036D4BBC01EB0372 = {
+		fRef = F5F19A76036D4BBD01EB0372;
 		isa = PBXTextBookmark;
 		name = "NSControl.h: 32";
@@ -10400,26 +14234,6 @@
 		vrLoc = 0;
 	};
-	F5F19944036D4BBC01EB0372 = {
-		fRef = F5F19A83036D4BBD01EB0372;
-		isa = PBXTextBookmark;
-		name = "NSPopUpButtonCell.h: 17";
-		rLen = 24;
-		rLoc = 321;
-		rType = 0;
-		vrLen = 1124;
-		vrLoc = 2698;
-	};
-	F5F19945036D4BBC01EB0372 = {
-		fRef = F5F19A84036D4BBD01EB0372;
-		isa = PBXTextBookmark;
-		name = "NSCell.h: 63";
-		rLen = 0;
-		rLoc = 1506;
-		rType = 0;
-		vrLen = 919;
-		vrLoc = 852;
-	};
-	F5F19946036D4BBC01EB0372 = {
-		fRef = F5F19A85036D4BBD01EB0372;
+	F5F19A6E036D4BBC01EB0372 = {
+		fRef = F5F19A90036D4BBE01EB0372;
 		isa = PBXTextBookmark;
 		name = "NSButton.h: 24";
@@ -10430,5 +14244,5 @@
 		vrLoc = 0;
 	};
-	F5F19947036D4BBC01EB0372 = {
+	F5F19A6F036D4BBC01EB0372 = {
 		fRef = F59E4797036AA5E9016B311C;
 		isa = PBXTextBookmark;
@@ -10440,5 +14254,5 @@
 		vrLoc = 5389;
 	};
-	F5F19948036D4BBC01EB0372 = {
+	F5F19A70036D4BBC01EB0372 = {
 		fRef = F59E47B5036AAD55016B311C;
 		isa = PBXTextBookmark;
